// line of test data

#define _FILE_OFFSET_BITS 64

#include <fcntl.h>

#ifdef WIN32
# include <direct.h>
# include <io.h>
# include <shlobj.h>
#else
# include <pwd.h>
# include <sys/stat.h>
# include <unistd.h>
#endif

#include <stdio.h>

#ifndef O_BINARY
# define O_BINARY 0
#endif

int main(int argc, char **argv)
{
	int fd;
	int cnt;
	char buf[16];

	if(argc != 2)
	{
		printf("usage: %s filename\n", argv[0]);
		return -1;
	}

	fd = open(argv[1], O_RDONLY | O_BINARY);
	if(fd == -1)
	{
		printf("open: %s\n", strerror(errno));
		return 1;
	}
	cnt = read(fd, &buf, sizeof(buf) - 1);
	if(cnt < 0)
	{
		printf("read: %s\n", strerror(errno));
		return 2;
	}
	buf[cnt] = 0;
	printf("data read: %s\n", buf);
	if(close(fd) != 0)
	{
		printf("close: %s\n", strerror(errno));
		return 3;
	}

	return 0;
}

